Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.rss.feed
Class NullUrlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.apps.groupspace.rss.feed.NullUrlException

All Implemented Interfaces
  Serializable

    public class NullUrlException

extends Exception

NullUrlException is thrown when a RssFeedImpl contains a null feedUrl when it shouldn't

See Also
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`NullUrlException()` Constructs a new NullUrlException
`NullUrlException(String text)` Constructs a new NullUrlException with a message
`NullUrlException(String text, Throwable cause)` Constructs a new NullUrlException with an explanatory message and a nested exception that caused the failure
`NullUrlException(Throwable cause)` Constructs a new NullUrlException with the root cause

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also
  Constants Summary

Constructor Detail

### NullUrlException

    public NullUrlException()

  Constructs a new NullUrlException

### NullUrlException

    public NullUrlException(String text)

  Constructs a new NullUrlException with a message

  Parameters
    `text` - Explanatory message

### NullUrlException

    public NullUrlException(String text,
                            Throwable cause)

  Constructs a new NullUrlException with an explanatory message and a nested exception that caused the failure

  Parameters
    `text` - Explanatory message
    `cause` - Root cause of the failure

### NullUrlException

    public NullUrlException(Throwable cause)

  Constructs a new NullUrlException with the root cause

  Parameters
    `cause` - Root cause of the failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved